#extension GL_ARB_texture_rectangle : enable

uniform sampler2DRect floatMap;

void main() 
{
  vec4 color;

  color = texture2DRect(floatMap, gl_TexCoord[0].st); //.gggg -> just heights


  color.xyz*=0.5;
  color.xyz+=0.5;


   gl_FragColor = color;
}

